---
title: RTCOutboundRtpStreamStats.remoteId
slug: Web/API/RTCOutboundRtpStreamStats/remoteId
tags:
  - API
  - Property
  - RTCOutboundRtpStreamStats
  - RTCRtpReceiver
  - RTCRtpSender
  - Reference
  - Remote
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - id
  - remoteId
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>remoteId</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary specifies the {{domxref("RTCStats.id", "id")}} of the {{domxref("RTCRemoteInboundRtpStreamStats")}} object representing the remote peer's {{domxref("RTCRtpReceiver")}} which is sending the media to the local peer for this SSRC.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>remoteStatsId</em> = <em>RTCOutboundRtpStreamStats</em>.remoteId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the ID of the {{domxref("RTCRemoteInboundRtpStreamStats")}} object that represents the remote peer's {{domxref("RTCRtpReceiver")}} for the synchronization source represented by this stats object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-remoteid', 'RTCOutboundRtpStreamStats.remoteId')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.remoteId")}}</p>
